"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "TogetherLLM", {
    enumerable: true,
    get: function() {
        return TogetherLLM;
    }
});
const _env = require("@llamaindex/env");
const _openai = require("@llamaindex/openai");
class TogetherLLM extends _openai.OpenAI {
    constructor(init){
        const { apiKey = (0, _env.getEnv)("TOGETHER_API_KEY"), additionalSessionOptions = {}, model = "togethercomputer/llama-2-7b-chat", ...rest } = init ?? {};
        if (!apiKey) {
            throw new Error("Set Together Key in TOGETHER_API_KEY env variable"); // Tell user to set correct env variable, and not OPENAI_API_KEY
        }
        additionalSessionOptions.baseURL = additionalSessionOptions.baseURL ?? "https://api.together.xyz/v1";
        super({
            apiKey,
            additionalSessionOptions,
            model,
            ...rest
        });
    }
}
