"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    PostgresDocumentStore: function() {
        return _PostgresDocumentStore.PostgresDocumentStore;
    },
    PostgresIndexStore: function() {
        return _PostgresIndexStore.PostgresIndexStore;
    },
    PostgresKVStore: function() {
        return _PostgresKVStore.PostgresKVStore;
    },
    SimpleDocumentStore: function() {
        return _SimpleDocumentStore.SimpleDocumentStore;
    }
});
_export_star(require("@llamaindex/core/storage/chat-store"), exports);
_export_star(require("@llamaindex/core/storage/doc-store"), exports);
_export_star(require("@llamaindex/core/storage/index-store"), exports);
_export_star(require("@llamaindex/core/storage/kv-store"), exports);
_export_star(require("./docStore/AzureCosmosNoSqlDocumentStore.js"), exports);
const _PostgresDocumentStore = require("./docStore/PostgresDocumentStore.js");
const _SimpleDocumentStore = require("./docStore/SimpleDocumentStore.js");
_export_star(require("./FileSystem.js"), exports);
_export_star(require("./indexStore/AzureCosmosNoSqlIndexStore.js"), exports);
const _PostgresIndexStore = require("./indexStore/PostgresIndexStore.js");
_export_star(require("./kvStore/AzureCosmosNoSqlKVStore.js"), exports);
const _PostgresKVStore = require("./kvStore/PostgresKVStore.js");
_export_star(require("./StorageContext.js"), exports);
function _export_star(from, to) {
    Object.keys(from).forEach(function(k) {
        if (k !== "default" && !Object.prototype.hasOwnProperty.call(to, k)) {
            Object.defineProperty(to, k, {
                enumerable: true,
                get: function() {
                    return from[k];
                }
            });
        }
    });
    return from;
}
