import { BaseEmbedding } from "@llamaindex/core/embeddings";
import { MistralAISession } from "../llm/mistral.js";
export var MistralAIEmbeddingModelType = /*#__PURE__*/ function(MistralAIEmbeddingModelType) {
    MistralAIEmbeddingModelType["MISTRAL_EMBED"] = "mistral-embed";
    return MistralAIEmbeddingModelType;
}({});
export class MistralAIEmbedding extends BaseEmbedding {
    model;
    apiKey;
    session;
    constructor(init){
        super();
        this.model = "mistral-embed";
        this.session = new MistralAISession(init);
    }
    async getMistralAIEmbedding(input) {
        const client = await this.session.getClient();
        const { data } = await client.embeddings({
            model: this.model,
            input: [
                input
            ]
        });
        return data[0].embedding;
    }
    async getTextEmbedding(text) {
        return this.getMistralAIEmbedding(text);
    }
}
