import type { BaseEmbedding } from "@llamaindex/core/embeddings";
import { PromptHelper } from "@llamaindex/core/indices";
import type { LLM } from "@llamaindex/core/llms";
import { type NodeParser } from "@llamaindex/core/node-parser";
/**
 * The ServiceContext is a collection of components that are used in different parts of the application.
 *
 * @deprecated This will no longer supported, please use `Settings` instead.
 */
export interface ServiceContext {
    llm: LLM;
    promptHelper: PromptHelper;
    embedModel: BaseEmbedding;
    nodeParser: NodeParser;
}
export interface ServiceContextOptions {
    llm?: LLM;
    promptHelper?: PromptHelper;
    embedModel?: BaseEmbedding;
    nodeParser?: NodeParser;
    chunkSize?: number;
    chunkOverlap?: number;
}
export declare function serviceContextFromDefaults(options?: ServiceContextOptions): ServiceContext;
export declare function serviceContextFromServiceContext(serviceContext: ServiceContext, options: ServiceContextOptions): {
    llm: LLM;
    promptHelper: PromptHelper;
    embedModel: BaseEmbedding;
    nodeParser: NodeParser;
};
