import type { BaseDocumentStore } from "@llamaindex/core/storage/doc-store";
import { BaseIndexStore } from "@llamaindex/core/storage/index-store";
import type { ServiceContext } from "../ServiceContext.js";
import type { BaseVectorStore, VectorStoreByType } from "../vector-store/types.js";
export interface StorageContext {
    docStore: BaseDocumentStore;
    indexStore: BaseIndexStore;
    vectorStores: VectorStoreByType;
}
type BuilderParams = {
    docStore: BaseDocumentStore;
    indexStore: BaseIndexStore;
    vectorStore: BaseVectorStore;
    vectorStores: VectorStoreByType;
    storeImages: boolean;
    persistDir: string;
    /**
     * @deprecated Please use `Settings` instead
     */
    serviceContext?: ServiceContext | undefined;
};
export declare function storageContextFromDefaults({ docStore, indexStore, vectorStore, vectorStores, storeImages, persistDir, serviceContext, }: Partial<BuilderParams>): Promise<StorageContext>;
export {};
