import type { BaseTool, ToolMetadata } from "@llamaindex/core/llms";
import type { BaseQueryEngine } from "@llamaindex/core/query-engine";
import type { JSONSchemaType } from "ajv";
export type QueryEngineToolParams = {
    queryEngine: BaseQueryEngine;
    metadata: ToolMetadata<JSONSchemaType<QueryEngineParam>>;
};
export type QueryEngineParam = {
    query: string;
};
export declare class QueryEngineTool implements BaseTool<QueryEngineParam> {
    private queryEngine;
    metadata: ToolMetadata<JSONSchemaType<QueryEngineParam>>;
    constructor({ queryEngine, metadata }: QueryEngineToolParams);
    call({ query }: QueryEngineParam): Promise<import("@llamaindex/core/llms").MessageContent>;
}
